> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Data Sources > Returns a list of data sources ## OpenAPI ````json GET /api/v1/Authoring/data-sources { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/data-sources": { "get": { "tags": [ "Authoring" ], "summary": "Get Data Sources", "description": "Returns a list of data sources", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.GetDataSourcesResult" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.GetDataSourcesResult": { "title": "GetDataSourcesResult", "type": "object", "properties": { "dataSources": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSource" }, "description": "List of available data sources" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSource": { "title": "DataSource", "type": "object", "properties": { "id": { "type": "integer", "description": "The data source id", "format": "int32" }, "name": { "type": "string", "description": "The data source name" }, "referenceKey": { "type": "string", "description": "The data source reference key" }, "environment": { "type": "string", "description": "The data source environment", "nullable": true }, "database": { "type": "string", "description": "The data source database", "nullable": true }, "server": { "type": "string", "description": "The data source server", "nullable": true }, "engine": { "type": "string", "description": "The data source engine", "nullable": true }, "template": { "type": "string", "description": "The data source template", "nullable": true }, "agentGroup": { "type": "string", "description": "The data source agent group", "nullable": true }, "includeInTrustScore": { "type": "boolean", "description": "Whether the data source is included in the trust score" }, "dateCreated": { "type": "string", "description": "The creation date of the data source", "format": "date-time" }, "dateModified": { "type": "string", "description": "The latest modification date of the data source", "format": "date-time" } }, "additionalProperties": false } } } } ````